#pragma once
#include "def.h"

namespace render{
namespace fx{
    void init();
    void free();

    void update();

    void drawAll();
    void drawMissing();

    std::shared_ptr<effect> &addManagedEffect(effect*);

    void draw(particle*,uint32_t);
    void flush();
}}
